KitPlugin

KitPlugin

KitPlugin - Let users simply get their Kits


This plugin works perfectly fine with 1.8 and does support UUIDs. ;)

KitPlugin Stats


Awesome news: KitPlugin will have a new way of adding new kits to the config in the future. You will be able to create your kits ingame ;)


Overview

Lets your users simply get predefined Kits with one command.
Users have to pay for the kits, if the server is running with Vault and any supported economy plugin.
Works with Minecraft 1.8+


Plugin Setup

Main Config (config.yml): Click here
How to create kits (kits.yml): Click here
Commands: Click here
Permissions: Click here

Config gets deleted after starting the server?
- Click here again and read the important notes.

Error in console? Need help?
- Open a ticket and don't post problems in the comments. Comments are for feedback only.


Requirements for v7.0 or higher

  • Craftbukkit version higher than 1.7.5
  • Permissions Plugin
  • Vault 1.5.x (for Economy support) - Optional !

Requirements for v6.6 or below

  • Craftbukkit between 1.4.x and 1.7.4
  • Permissions Plugin
  • Vault (for Economy support) - Optional !


Youtube tutorials

  • An english tutorial which covers most of the basics. Made by cobwester (ShinyTinselWorm on Youtube)


Metrics & Updates

KitPlugin is using metrics to collect stats! It only collects basic things such as version type, players online, version of craftbukkit, etc.
Go into /plugins/PluginMetrics/config.yml if you wish to disable that.

KitPlugin also includes an update-checker and auto-updater. Go into /plugins/KitPlugin/config.yml if you wish to disable that.


Support my work

Any donations are highly appreciated. If you feel like donating some dollars towards my projects, then here's my PayPal link:
Donate with Paypal now

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of Matheus284 Matheus284 Sep 11, 2016 at 14:41 UTC - 0 likes

    the cooldown is second or minute?

  • Avatar of Zahfro Zahfro Aug 14, 2016 at 08:07 UTC - 0 likes

    able to set your in game inventory as the kit? including wearing the armour?

  • Avatar of Acurix Acurix Aug 02, 2016 at 15:20 UTC - 0 likes

    Are you able to use signs?

  • Avatar of recon88 recon88 Jul 17, 2016 at 00:14 UTC - 0 likes

    @waremanu: Go
    Will implement that asap. Was busy the last months

    BFAK:recon88,89465,206a96356aa9c385d92a3b8e2da2e652c7a5fa91d158a9aefbc142a2af98117e

  • Avatar of waremanu waremanu Jun 16, 2016 at 23:55 UTC - 0 likes

    @recon88: Go

    I want to be able to set a shield/sword/bow to left hand, therefor I want an update that supports that kinds of 1.9 things. And you might as well just update for 1.10 as well? Don't think anything in 1.10 breaks the plugin though.

  • Avatar of recon88 recon88 Jun 14, 2016 at 09:08 UTC - 0 likes

    @waremanu: Go
    Would you please test it before asking for an update and let me know what's broken?

  • Avatar of waremanu waremanu Jun 14, 2016 at 03:06 UTC - 0 likes

    Would you please update to 1.9/1.10?

  • Avatar of Robert_LP Robert_LP Apr 01, 2016 at 16:51 UTC - 0 likes

    Would you like add a configuration-file for message-configuration?

  • Avatar of Robert_LP Robert_LP Apr 01, 2016 at 16:49 UTC - 0 likes

    @zetlasx3: Go

    No. But i use the plugin "FirstJoinPlus".

  • Avatar of zetlasx3 zetlasx3 Feb 11, 2016 at 08:43 UTC - 0 likes

    Hi can i make "first join kit" with your plugin?

Facts

Date created
Feb 22, 2012
Categories
Last update
Oct 29, 2015
Development stage
Release
License
All Rights Reserved
Curse link
KitPlugin
Downloads
195,045
Recent files
  • R: v7.6 for 1.8.1 Oct 29, 2015
  • R: v7.5 for 1.8.1 Apr 28, 2015
  • R: v7.4 for 1.8.1 Mar 22, 2015
  • R: v7.3 for 1.8.1 Mar 21, 2015
  • R: v7.2 for 1.8.1 Mar 21, 2015

Authors